html{
    scroll-behavior: smooth;
}

body {
    background-color: rgb(141, 168, 237);
    font-family: 'Courier New', Courier, monospace;
    margin: 0;
    padding: 0;
}
header{
    position: fixed;
    width: 20%;
    height: 100vh;
    background-color:rgb(253, 255, 135);
    padding: 16px;  
    box-sizing: border-box;
}
#menu_principal ul{
    margin: 0;
    padding: 0;
}

#menu_principal ul li{
    border-bottom: 1.5px dotted rgb(141, 168, 237);
    list-style-type:none;
    line-height: 25px;
    color:  rgb(141, 168, 237);
}
#menu_principal ul li a {
    color:  rgb(141, 168, 237);
    text-decoration: none;
}
#menu_principal ul li a:hover{
color:rgb(57, 2, 75);
}

main{
    width: 80%;
    background-color: rgb(57, 2, 75);
        margin-left: 20%;
    color:rgb(253, 255, 135);
    padding: 16px;
}

/* raccourci : main > * = main h1, main h2, main p */
main > * {
max-width: 30vw;
min-width: 400px;
}
.souligne{
    border-bottom:1px solid rgb(253, 255, 135);
}
.note{
    margin-right:-70%; /* positionnement à partir de la marge droite, en négatif (petit hack) */
    float: right; /* cette propriété permet de sortir la note du flux */
    max-width: 200px;
    font-size: 15px;
    color:rgb(141, 168, 237);
    
}
main a{
    color : rgb(141, 168, 237);
}
#progression{
height:20px;
width: 100%;
background-color: rgb(141, 168, 237);
position: fixed;
top:0px;
left:0px;
z-index: 2;
}